Report the buyer's verdict on the delivery
curl --request POST \
--url https://api.simpuru.xyz/purchases/{id}/verification \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.simpuru.xyz/purchases/{id}/verification"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.simpuru.xyz/purchases/{id}/verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"listingId": "<string>",
"mode": "instant",
"buyerAddress": "<string>",
"txHash": "<string>",
"status": "<string>",
"events": [
{
"status": "<string>",
"txHash": "<string>",
"at": "<string>"
}
],
"escrow": {
"address": "<string>",
"inputHash": "<string>",
"resultHash": "<string>",
"identifierFromPurchaser": "<string>",
"deadlines": {
"payBy": "<string>",
"submitResult": "<string>",
"unlock": "<string>",
"externalDisputeUnlock": "<string>"
}
},
"verification": "ok"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Purchases
Report the buyer's verdict on the delivery
Buyer only: X-Simpuru-Proof must be signed by the purchase’s payer for its listing.
POST
/
purchases
/
{id}
/
verification
Report the buyer's verdict on the delivery
Headers
Base64 JSON UnlockProof from the payer.
Path Parameters
Purchase id
Body
application/json
Available options:
ok, mismatch, no_result_yet Response
Updated purchase
Payment tx (instant) or lock tx (protected).
Pattern:
^[0-9a-f]{64}$Available options:
instant, protected Cardano transaction hash.
Pattern:
^[0-9a-f]{64}$Escrow state (FundsLocked, ResultSubmitted, RefundRequested, Disputed, WithdrawAuthorized, RefundAuthorized) or a final state (settled, withdrawn, refunded, closed). withdrawing while the seller agent collects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ok, mismatch, no_result_yet